org.apache.flume.tools

## Class PlatformDetect

- java.lang.Object
- - org.apache.flume.tools.PlatformDetect

-     public class PlatformDetect
      extends Object

  Utilities for platform & operating system detection

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformDetect()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isWindows()` Detects whether we are running under Microsoft Windows.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlatformDetect

          public PlatformDetect()

  - ### Method Detail

    - #### isWindows

          public static boolean isWindows()

      Detects whether we are running under Microsoft Windows.
      Returns:
        true if and only if we are running on a Windows system.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.